org.eclipse.eef.properties.ui.api

## Interface IEEFTabItem

All Known Subinterfaces:
  IEEFTabDescriptor

All Known Implementing Classes:
  AbstractEEFTabDescriptor, EEFTabDescriptor, LegacyPropertyTabItemDescriptor

    public interface IEEFTabItem

Represents a tab to be displayed in the tab list in the tabbed property sheet page.

Since:
  1.6.0

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.swt.graphics.Image` `getImage()` Get the icon image for the tab.
`java.lang.String` `getText()` Get the text label for the tab.
`boolean` `isIndented()` Determine if this tab is indented.
`boolean` `isSelected()` Determine if this tab is selected.

### Method Detail

#### getImage

    org.eclipse.swt.graphics.Image getImage()

Get the icon image for the tab.

Returns:
  the icon image for the tab.

#### getText

    java.lang.String getText()

Get the text label for the tab.

Returns:
  the text label for the tab.

#### isSelected

    boolean isSelected()

Determine if this tab is selected.

Returns:
  `true` if this tab is selected.

#### isIndented

    boolean isIndented()

Determine if this tab is indented.

Returns:
  `true` if this tab is indented.